
#include <Spectre/Display/GLContext.h>

#ifdef _WIN32
#include <Platform/Win32/Win32GLContext.h>
typedef Win32GLContext ContextType;
#else
#error "No GLContext implementation exists"
#endif

GLContext* GLContext::create()
{
	return new ContextType();
}

GLContext::~GLContext()
{
	// Nothing to do.
}
